# File tres/Scripts/trsdate.cl
# By Doug Mink
# February 13, 2008

# TRSDATE -- Set instrument and date directories for TRES listing and quick look

procedure trsdate (datedir)

string datedir="now"	{prompt="Date for images (now=today)"}

string instdir="/tres/"	{prompt="Directory containing date directories"}
bool verbose=yes	{prompt="Print table of image parameters (yes or no)"}

begin
    bool vb
    file ddir, idir, datadir

    vb = verbose
    fixdir (instdir)
    idir = fixdir.newdir
    ddir = datedir

    if (ddir == "now" || ddir == "" || ddir == "0") {
	gettime()
	ddir = gettime.datadir
	}
    if (ddir == "now-1" || ddir == "1") {
	gettime(datediff=-1)
	ddir = gettime.datadir
	}

    datadir = idir // ddir
    if (!access (datadir)) {
	print ("TRSDATE: ",datadir, " not found")
	return
	}

    qtres.datedir = ddir
    qtres.instdir = idir
    ctres.datedir = ddir
    ctres.instdir = idir
    trslist.datedir = ddir
    trslist.instdir = idir

    if (vb)
	print (idir,ddir)

end

# Feb 13 2008	New program
