# File hectospec/Src/t_filename.x
# January 30, 2008
# By Doug Mink, Center for Astrophysics

# T_FILENAME -- Return the filename and directory path from a pathname

procedure t_filename ()

pointer	name, path
pointer	sp
char	slash
bool	verbose, clgetb()
int	islash, strldx()

begin
	slash = '/'
	call smark (sp)
	call salloc (path, SZ_LINE,  TY_CHAR)

	call clgstr ("pathname", Memc[path], SZ_LINE)
	islash = strldx (slash, Memc[path])
	if (islash > 0) {
	    name = path + islash
	    call clpstr ("filename", Memc[name], SZ_LINE)
	    Memc[name] = EOS
	    call clpstr ("dirpath", Memc[path])
	    }
	else {
	    call clpstr ("filename", Memc[path], SZ_LINE)
	    call clpstr ("dirpath", EOS)
	    }

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf ("%s\n")
		call pargstr (Memc[name])
	    }

	call sfree (sp)
end

# Mar 16 2007	New task based on svdfit.fileroot
# Jan 30 2008	Add dirpath output parameter
